#
# spec file for package percona-toolkit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           percona-toolkit
Summary:        Advanced MySQL and system command-line tools
License:        GPL-2.0
Group:          Productivity/Databases/Tools
Version:        2.2.2
Release:        15.1
Url:            https://www.percona.com/software/percona-toolkit/
Source:         https://www.percona.com/redir/downloads/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif
Requires:       perl(DBD::mysql) >= 1.0
Requires:       perl(DBI) >= 1.13
Requires:       perl(IO::Socket::SSL)
Requires:       perl(Term::ReadKey) >= 2.10
Requires:       perl(Time::HiRes)
Provides:       maatkit = 7410.%{version}
Obsoletes:      maatkit < 7410
BuildArch:      noarch

%description
Percona Toolkit is a collection of advanced command-line tools used by
Percona (http://www.percona.com/) support staff to perform a variety of
MySQL and system tasks that are too difficult or complex to perform manually.

These tools are ideal alternatives to private or "one-off" scripts because
they are professionally developed, formally tested, and fully documented.
They are also fully self-contained, so installation is quick and easy and
no libraries are installed. 

Percona Toolkit is developed and supported by Percona Inc.  For more
information and other free, open-source software developed by Percona,
visit http://www.percona.com/software/.

This collection was formerly known as Maatkit.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
make %{?_smp_mflags}

%install
%if 0%{?suse_version}
%perl_make_install
%perl_process_packlist
%if 0%{?suse_version} < 1130
%__rm -rf $RPM_BUILD_ROOT%perl_vendorarch/auto/%{name}
%__rm -rf $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
%endif
%else
%__make DESTDIR=%{buildroot} install
### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README Changelog
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Mon May  6 2013 cs@linux-administrator.com
- update to release 2.2.2
* Fri Apr 12 2013 cs@linux-administrator.com
- re-import
